| Bsoft 2.0.5 Bernard's software package

Functions | Variables
bedge.cpp File Reference

A program to float an image in a uniform background. More...

`#include "rwimg.h"`
`#include "utilities.h"`
`#include "options.h"`
`#include "timer.h"`

Go to the source code of this file.

## Functions
int | main (int argc, char *argv[])

## Variables
int | verbose
const char * | use []

## Detailed Description

A program to float an image in a uniform background.

Author
  Bernard Heymann

Date
  Created: 19980520
  Modified: 20150717

Definition in file bedge.cpp.

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

Definition at line 40 of file bedge.cpp.

## Variable Documentation

## ◆ use

const char* use[]

Initial value:
= {
" ",
"Usage: bedge [options] infile.mrc outfile.mrc",
"---------------------------------------------",
"Smooths the edge of an image to a uniform background.",
" ",
"Parameters:",
"-verbose 7 Verbosity of output.",
"-datatype u Force writing of a new data type.",
"-truncate -0.5,1.2 Truncate data to minimum and maximum before edge operation.",
"-size 4000,4000,10 Size of region inside edge (default 90% of image size).",
"-start 2500,1500,5 Start of edge (default 5% from image origin).",
"-width 8 Gaussian width (default 0.1, sharp edge, <0 inverts selection).",
"-shape oval Edge shape: rectangular (default), oval, cylindrical.",
"-fill 150 Fill value for background: average (default), background, or value.",
" ",
NULL
}

Definition at line 18 of file bedge.cpp.

## ◆ verbose

int verbose